### Virtual Method

# WPEPlatform View set_opaque_rectangles

#### Declaration [src]

    void
    set_opaque_rectangles (
      WPEView* view,
      WPERectangle* rects,
      guint n_rects
    )

#### Description [src]

Set the rectangles of `view` that contain opaque content. This is an optimization hint that is automatically set by WebKit when the web view background color is opaque.

#### Parameters

`rects`

  Type: An array of `WPERectangle`

  Opaque rectangles in view-local coordinates.

  The argument can be `NULL`.
  The length of the array is specified in the `n_rects` argument.
  The data is owned by the caller of the method.

`n_rects`

  Type: `guint`

  The total number of elements in `rects`.